<?php



class TblblogcategoryMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogcategoryMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogcategoryPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogcategoryPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogcategory');
		$tMap->setClassname('Tblblogcategory');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CAT_ID', 'CatId', 'INTEGER', true, null);

		$tMap->addColumn('CAT_BLOG', 'CatBlog', 'INTEGER', true, null);

		$tMap->addColumn('CAT_PARENT', 'CatParent', 'INTEGER', true, null);

		$tMap->addColumn('CAT_PATH', 'CatPath', 'VARCHAR', true, 255);

		$tMap->addColumn('CAT_NAME', 'CatName', 'VARCHAR', true, 255);

		$tMap->addColumn('CAT_TYPE', 'CatType', 'TINYINT', true, null);

		$tMap->addColumn('CAT_PUBLIC', 'CatPublic', 'INTEGER', true, null);

		$tMap->addForeignKey('CAT_BASE', 'CatBase', 'INTEGER', 'tblcategory', 'CG_ID', true, null);

		$tMap->addColumn('CAT_CONFIG', 'CatConfig', 'LONGVARCHAR', true, null);

		$tMap->addColumn('CAT_ORDER', 'CatOrder', 'INTEGER', true, null);

	} 
} 